package com.gic.haoban.manage.api.enums;

/**
 * 门店枚举
 *
 * @author huang
 */
public enum StoreFieldEnum {

	//门店名称
    STORE_NAME("1","门店名称"),
	//门店面积
    STORE_AREA("2","门店面积"),
	//联系电话
    CONACTS_PHONE("3","联系电话"),
    //营业时间
    BUSINESS_TIME_STRING("4","营业时间"),
    //门店地址
    STORE_ADDRESS("5","门店地址"),
    //门店图片
    STORE_IMAG("6","门店图片");
    /**
     * 类型
     */
    private String value;
    private String name;

    StoreFieldEnum(String value,String name) {
        this.value = value;
        this.name = name;
    }

    public String getValue() {
        return value;
    }
    public String getName() {
        return name;
    }
    
	 public static String getValueName(String changeField) {
			for (StoreFieldEnum c : StoreFieldEnum.values()) {
				if (c.getValue().equals(changeField)) {
					return c.name;
				}
			}
			return null;
	}
}
